# ChainedRunnablePart

abstract class ChainedRunnablePart<T, R>(sync: Boolean)
Content copied to clipboard

## Functions

execute
Link copied to clipboard
abstract fun execute()
Content copied to clipboard
Begins execution of this chained runnable.
executeCatching
Link copied to clipboard
inline fun <E : Exception> executeCatching(exceptionSync: Boolean = true, noinline exceptionHandler: (E) -> Unit? = null)
Content copied to clipboard
Begins execution of this chained runnable, catching any exception of type E and passing it to the optional exceptionHandler.
executeCatchingImpl
Link copied to clipboard
abstract fun <E : Exception> executeCatchingImpl(exceptionClass: KClass<E>, exceptionSync: Boolean, exceptionHandler: (E) -> Unit?)
Content copied to clipboard
Has to be public for use in inline function executeCatching, not intended to be used directly.

## Properties

next
Link copied to clipboard
var next: ChainedRunnablePart<R, *>? = null
Content copied to clipboard
sync
Link copied to clipboard
val sync: Boolean
Content copied to clipboard

## Inheritors

ChainedRunnablePartFirst
Link copied to clipboard
ChainedRunnablePartThen
Link copied to clipboard

## Extensions

thenAsync
Link copied to clipboard
fun <T, R, U> ChainedRunnablePart<T, R>.thenAsync(runnable: (R) -> U): ChainedRunnablePartThen<R, U>
Content copied to clipboard
thenDo
Link copied to clipboard
fun <T, R, U> ChainedRunnablePart<T, R>.thenDo(sync: Boolean, runnable: (R) -> U): ChainedRunnablePartThen<R, U>
Content copied to clipboard
thenSync
Link copied to clipboard
fun <T, R, U> ChainedRunnablePart<T, R>.thenSync(runnable: (R) -> U): ChainedRunnablePartThen<R, U>
Content copied to clipboard